diff --git a/Makefile.target b/Makefile.target
index 516ef3c24..65de0e767 100644
--- a/Makefile.target
+++ b/Makefile.target
@@ -79,13 +79,13 @@ endif
 all: $(LIB_TARGETS)
 
 clean:
-	$(BIN_RM) -f $(OBJ) $(CLEANFILES) $(LIB_TARGETS)
+	$(BIN_RM) -f -- $(OBJ) $(CLEANFILES) $(LIB_TARGETS)
 
 distclean: clean
-	$(BIN_RM) -rf $(DISTCLEANFILES) $(DEP)
+	$(BIN_RM) -rf -- $(DISTCLEANFILES) $(DEP)
 
 depclean: clean
-	$(BIN_RM) -rf $(DEP)
+	$(BIN_RM) -rf -- $(DEP)
 
 install:
 
diff --git a/header.mk b/header.mk
index 613b38ff1..2c238e125 100644
--- a/header.mk
+++ b/header.mk
@@ -5,15 +5,13 @@ TOP := $(abspath $(dir $(lastword $(MAKEFILE_LIST))))/
 include $(TOP)Makefile.inc
 
 subdirs := \
-	automation \
 	libaegisub \
 	packages/desktop \
 	po \
 	src \
 	tests \
-	tools \
 	vendor/luabins \
-	vendor/luajit
+	tools
 
 subdirs := $(addprefix $(TOP),$(addsuffix /Makefile,$(subdirs)))
 
diff --git a/m4macros/ac_agi.m4 b/m4macros/ac_agi.m4
index e45a54767..1bd0120ed 100644
--- a/m4macros/ac_agi.m4
+++ b/m4macros/ac_agi.m4
@@ -20,12 +20,14 @@ AC_DEFUN([AC_AGI_LINK],[
   aegisub_save_CPPFLAGS="$CPPFLAGS"
   CPPFLAGS="$CPPFLAGS $4"
   LIBS="$LIBS $5"
+  AC_LANG_PUSH(C++)
   AC_CHECK_HEADER([$3], [agi_cv_header="yes"], [agi_cv_header="no"])
   AS_IF([test "x$agi_cv_header" = xyes],
         [AC_CACHE_CHECK(
           [whether $1 works], [agi_cv_with_$2],
           [AC_LINK_IFELSE([AC_LANG_SOURCE([$6])], [eval agi_cv_with_$2="yes"], [eval agi_cv_with_$2="no"])])]
         [eval agi_cv_with_$2="no"])
+  AC_LANG_POP(C++)
   CPPFLAGS="$aegisub_save_CPPFLAGS"
   LIBS="$aegisub_save_LIBS"
 ])
diff --git a/src/libresrc/libresrc.cpp b/src/libresrc/libresrc.cpp
index 79dc0f16c..8648d2987 100644
--- a/src/libresrc/libresrc.cpp
+++ b/src/libresrc/libresrc.cpp
@@ -22,9 +22,10 @@
 
 wxBitmap libresrc_getimage(const unsigned char *buff, size_t size, double scale, int dir) {
 	wxMemoryInputStream mem(buff, size);
+        auto img = wxImage(mem);
 	if (dir != wxLayout_RightToLeft)
-		return wxBitmap(wxImage(mem), -1, scale);
-	return wxBitmap(wxImage(mem).Mirror(), -1, scale);
+            return wxBitmap(img.Scale(img.GetHeight() * scale, img.GetWidth() * scale));
+	return wxBitmap(img.Mirror().Scale(img.GetHeight() * scale, img.GetWidth() * scale));
 }
 
 wxIcon libresrc_geticon(const unsigned char *buff, size_t size) {
